Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/claroOverride.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/claroOverride.less	(revision 409)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/claroOverride.less	(revision 409)
@@ -0,0 +1,108 @@
+/* This stylesheet compensates for the restoration of the claro style to its original specs. (21-6-2012)
+ * These changes should be moved to relevant stylesheets as soon as possible!
+*/
+
+
+/* Menu.css */
+.claro .topbar .dijitMenuitem {
+    width: 90px;
+    background-image: none;
+    background-position: top;
+    text-align: center;
+}
+.claro .dijitMenuPassive .dijitMenuItemHover, .claro .dijitMenuPassive .dijitMenuItemSelected {
+    background-color: transparent;
+    color: #ffffff;
+    border: none;
+    padding: 0 4px;
+}
+.claro .dijitMenuPassive .dijitMenuItemActive {
+    background-position: top;
+}
+
+/* layout/BorderContainer.css */
+.claro .dijitSplitContainer-child, .claro .dijitBorderContainer-child {
+    border: none;
+}
+.claro .dijitTabContainerTop-dijitContentPane,
+.claro .dijitTabContainerLeft-dijitContentPane,
+.claro .dijitTabContainerBottom-dijitContentPane,
+.claro .dijitTabContainerRight-dijitContentPane,
+.claro .dijitAccordionContainer-dijitContentPane {
+    background-color: transparent;
+}
+.claro .dijitSplitContainer-dijitContentPane,
+.claro .dijitBorderContainer-dijitContentPane {
+    background-color: transparent;
+}
+
+/* layout/TabContainer.css */
+.claro .dijitTabPaneWrapper {
+    background: transparent;
+}
+.claro .dijitTabInnerDiv {
+    background-color: transparent;
+    color: #999999;
+    border: none;
+}
+.claro .dijitTabContent {
+    border: none;
+}
+.claro .dijitTabHover .dijitTabInnerDiv {
+    background-color: transparent;
+    color: #ffffff;
+}
+.claro .dijitTabActive .dijitTabInnerDiv {
+    color: #0072bc;
+}
+.claro .dijitTabChecked .dijitTabInnerDiv {
+    background-color: transparent;
+    color: #ffffff;
+}
+.claro .dijitTabContent {
+    border: 1px solid #999999;
+}
+.claro .dijitTabHover .dijitTabContent {
+    border-color: #ffffff;
+}
+.claro .dijitTabActive .dijitTabContent {
+    border-color: transparent;
+}
+.claro .dijitTabChecked .dijitTabContent {
+    color: #ffffff;
+    border-color: #0072bc;
+}
+/*lefttabs*/
+.claro .dijitTabContainerLeft-tabs .dijitTab {
+    border-width: 1px;
+    left: 0;
+    margin-bottom: 4px;
+    margin-right: 8px;
+}
+.claro .dijitTabContainerLeft-tabs .dijitTabInnerDiv {
+    border: none;
+    background: transparent;
+    background-image: none;
+    background-position: top;
+    background-repeat: no-repeat;
+}
+.claro .dijitTabContainerLeft-tabs .dijitTabContent {
+    padding: 3px 8px 4px 8px;
+    background-image: none;
+
+}
+.claro .dijitTabContainerLeft-tabs .dijitTabChecked .dijitTabContent {
+    padding-right: 8px;
+    background-image: none;
+}
+.claro .dijitTabContainerLeft-tabs .dijitTabChecked .dijitTabInnerDiv {
+    -webkit-box-shadow: none;
+    -moz-box-shadow: none;
+    box-shadow: none;
+}
+.claro .dijitTabContainerLeft-tabs .dijitTabInnerDiv,
+.claro .dijitTabContainerLeft-tabs .dijitTabContent {
+    -moz-border-radius: 0;
+    border-radius: 0;
+    border: none;
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/colors2.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/colors2.less	(revision 409)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/colors2.less	(revision 409)
@@ -0,0 +1,85 @@
+DESCRIPTION {
+	/*
+How to use colour system:
+Apply a combination of at most 1 "colour" class and one or more "modifier" classes.
+Colour classes: Red, Blue, Green, Orange, Purple
+Modifer classes:
+- textColor: Change the font colour of element to the "colour" class combined with.
+- bgColor: Change the background colour to the "colour" class combined with.
+- doesHover: If present in combination with one of the above two modifiers, 
+the element will shift it's background- or text colour to a lighter version on hover.
+- hoverTextColor: Same as .textColor, but only affects elements being hovered over.
+- hoverBgColor: Same as .bgColor, but only affects elements being hovered over.
+NOTE: .doesHover does nothing in combination with the above two modifiers!
+*/
+}
+
+// Variables/Colour scheme parameters
+@blue: #0000ff;
+@blue_light: #7777ff;
+@red: #ff0000;
+@red_light: #ff7777;
+@green: #00ff00;
+@green_light: #77ff77;
+@orange: #ff7700;
+@orange_light: #ffaa77;
+@purple: #ff00ff;
+@purple_light: #ffaaff;
+@text: #ffffff;
+@black: #000000;
+
+.colorMixin (@color) {
+	&.textColor {	//Change text colour to C-Class
+		color: @@color;
+		&.doesHover:hover {	//If also .doesHover, shift colour to light version on hover
+			@colorName: "@{color}_light";
+			color: @@colorName;
+		}
+	}
+	&.bgColor {	// Change background colour to C-Class
+		background-color: @@color;
+		color: @text;
+		&.doesHover:hover {	//If .doesHover, shift to light on hover
+			@colorName: "@{color}_light";
+			background-color: @@colorName;
+			color: @black;
+		}
+	}
+	&.hoverTextColor:hover {	// Only change text colour to C-class on hover
+		color: @@color;
+	}
+	&.hoverBgColor:hover {	// Only change background colour to C-class on hover
+		background-color: @@color;
+	}
+}
+
+#rft {
+	&.claro {
+
+		.blue {
+			.colorMixin("blue");
+		}
+		.red {
+			.colorMixin("red");
+		}
+		.orange {
+			.colorMixin("orange");
+		}
+		.green {
+			.colorMixin("green");
+		}
+		.purple {
+			.colorMixin("purple");
+		}
+
+		.textColor,
+		.hoverTextColor {
+			transition: color 0.2s;
+		}
+		.bgColor, 
+		.hoverBgColor {
+			transition: background-color 0.2s;
+		}
+
+	}
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.css
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.css	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.css	(revision 409)
@@ -38,8 +38,4 @@
   height: 32px;
   margin: 0;
-  background-image: url('images/icons/rftIcons24.png');
-  width: 32px;
-  height: 32px;
-  margin: 0;
   background-image: url('images/icons/rftIcons32.png');
   margin-right: 8px;
@@ -414,8 +410,4 @@
   height: 32px;
   margin: 0;
-  background-image: url('images/icons/rftIcons24.png');
-  width: 32px;
-  height: 32px;
-  margin: 0;
   background-image: url('images/icons/rftIcons32.png');
 }
@@ -700,11 +692,104 @@
   height: 32px;
   margin: 0;
-  background-image: url('images/icons/rftIcons24.png');
-  width: 32px;
-  height: 32px;
-  margin: 0;
   background-image: url('images/icons/rftIcons32.png');
   float: left;
   margin: 184px 8px 0 8px;
+}
+#rft.claro .rftIndexMenuButton {
+  border: none;
+  background-image: none;
+  -webkit-box-shadow: none;
+  box-shadow: none;
+  border-radius: 0;
+  margin: 0;
+  padding: 0;
+  -webkit-transition: all 0.3s;
+  -moz-transition: all 0.3s;
+  -o-transition: all 0.3s;
+  -ms-transition: all 0.3s;
+  transition: all 0.3s;
+  line-height: 32px;
+  border: none;
+}
+#rft.claro .rftIndexMenuButton .dijitButtonNode {
+  border: none;
+  color: #999999;
+  font-size: 22px;
+}
+#rft.claro .rftIndexMenuButton .dijitButtonNode .dijitButtonContents {
+  vertical-align: top;
+}
+#rft.claro .rftIndexMenuButton .dijitButtonNode .dijitButtonContents .dijitButtonText {
+  padding-bottom: 10px;
+  line-height: 20px;
+}
+#rft.claro .rftIndexMenuButton .dijitButtonNode .dijitButtonContents .rftIcon {
+  width: 32px;
+  height: 32px;
+  margin: 0;
+  background-image: url('images/icons/rftIcons32.png');
+  margin: 0 8px;
+}
+#rft.claro .rftIndexMenuButton.oneHeight {
+  height: 100px;
+}
+#rft.claro .rftIndexMenuButton.oneHeight .dijitButtonNode {
+  margin: 38px 0 0 0;
+}
+#rft.claro .rftIndexMenuButton.twoHeight {
+  height: 200px;
+}
+#rft.claro .rftIndexMenuButton.twoHeight .dijitButtonNode {
+  margin: 88px 0 0 0;
+}
+#rft.claro .rftIndexMenuButton.fourHeight {
+  height: 400px;
+}
+#rft.claro .rftIndexMenuButton.fourHeight .dijitButtonNode {
+  margin: 188px 0 0 0;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover {
+  color: #ffffff;
+  -webkit-transition: all 0.1s;
+  -moz-transition: all 0.1s;
+  -o-transition: all 0.1s;
+  -ms-transition: all 0.1s;
+  transition: all 0.1s;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover .dijitButtonText {
+  color: #ffffff;
+  -webkit-transition: all 0.1s;
+  -moz-transition: all 0.1s;
+  -o-transition: all 0.1s;
+  -ms-transition: all 0.1s;
+  transition: all 0.1s;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.blue {
+  background-color: #0072bc;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.red {
+  background-color: #8c0310;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.green {
+  background-color: #3aa605;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.orange {
+  background-color: #ff5b12;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.purple {
+  background-color: #6529b7;
+}
+#rft.claro .rftIndexMenuButton.rftIndexMenuButtonActive {
+  width: 32px;
+  height: 32px;
+  margin: 0;
+  background-image: url('images/icons/rftIcons32b.png');
+  -webkit-transition: all 0.3s;
+  -moz-transition: all 0.3s;
+  -o-transition: all 0.3s;
+  -ms-transition: all 0.3s;
+  transition: all 0.3s;
+  color: #111111;
+  background: #ffffff;
 }
 #rft.claro .dijitMenuPopup .dijitMenu {
@@ -818,4 +903,9 @@
   margin: 0;
 }
+#rft.claro .rftSurveyListView .rftSurveyListViewContent {
+  min-height: 300px;
+  background: #444444;
+  overflow: auto;
+}
 #rft.claro .rftLargeButton {
   border: none;
@@ -1066,2 +1156,61 @@
   background-image: url('images/icons/rftIcons16b.png');
 }
+#rft.claro .rftObjectBox {
+  margin: 8px 0;
+}
+#rft.claro .rftObjectBox .rftIcon {
+  width: 32px;
+  height: 32px;
+  margin: 0;
+  background-image: url('images/icons/rftIcons32.png');
+  float: left;
+  margin: 20px 8px;
+}
+#rft.claro .rftObjectBox .rftLineWithButtons {
+  margin: 0;
+  padding: 0;
+}
+#rft.claro .rftSessionObject {
+  margin: 0;
+  padding: 0;
+  width: 100px;
+  height: 100px;
+  background: #999999;
+  margin: 8px;
+  display: inline-block;
+}
+#rft.claro .rftSessionObject .rftIcon {
+  width: 32px;
+  height: 32px;
+  margin: 0;
+  background-image: url('images/icons/rftIcons32.png');
+  margin: 8px 34px 0 34px;
+}
+#rft.claro .rftSessionObject label {
+  margin: 0;
+  padding: 0;
+  float: left;
+  clear: both;
+  width: 100px;
+  text-align: center;
+  color: #ffffff;
+  overflow: hidden;
+}
+#rft.claro .rftSessionObject.blue {
+  background-color: #0072bc;
+}
+#rft.claro .rftSessionObject.blue.selected {
+  background-color: #0794d1;
+}
+#rft.claro .rftSessionObject.green {
+  background-color: #3aa605;
+}
+#rft.claro .rftSessionObject.green.selected {
+  background-color: #79ca0a;
+}
+#rft.claro .rftSessionObject.red {
+  background-color: #8c0310;
+}
+#rft.claro .rftSessionObject.red.selected {
+  background-color: #bd0013;
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.less	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.less	(revision 409)
@@ -8,3 +8,6 @@
 @import "menus.less";
 @import "questionEditor.less";
+@import "surveyEditor.less";
 @import "rftButtons.less";
+@import "rftObjectBox.less";
+@import "sessionEditor.less";
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/menus.css
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/menus.css	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/menus.css	(revision 409)
@@ -1,2 +1,0 @@
-
-/* This beautiful CSS-File has been crafted with LESS (lesscss.org) and compiled by simpLESS (wearekiss.com/simpless) */
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/menus.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/menus.less	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/menus.less	(revision 409)
@@ -3,18 +3,18 @@
 		//Index menu
 		.rftIndexMenuBlock {
-			width: @mm_blockwidth;
-			height: @mm_blockheight;
+			width: @im_blockwidth;
+			height: @im_blockheight;
 			background: @base1;
 			float: left;
-			margin: @mm_blockmargin;
+			margin: @im_blockmargin;
 			overflow: hidden;
 
 			&:hover .rftIndexMenuMask {
-				margin-top: -@mm_blockheight;
+				margin-top: -@im_blockheight;
 			}
 		}
 		.rftIndexMenuMask {
-			width: @mm_blockwidth;
-			height: @mm_blockheight;
+			width: @im_blockwidth;
+			height: @im_blockheight;
 			background: @base1;
 			color: @headers;
@@ -23,8 +23,8 @@
 			.label {
 				color: @headers;
-				font-size: @mm_font_size;
-				height: @mm_font_size;
-				line-height: @mm_font_size;
-				margin-top: (@mm_blockheight - @mm_font_size) / 2;
+				font-size: @im_font_size;
+				height: @im_font_size;
+				line-height: @im_font_size;
+				margin-top: (@im_blockheight - @im_font_size) / 2;
 				float: left;
 			}
@@ -33,6 +33,88 @@
 				.setIcon(32px);
 				float: left;
-				margin: ((@mm_blockheight - @mm_font_size)/2) 8px 0 8px;
+				margin: ((@im_blockheight - @im_font_size)/2) 8px 0 8px;
 			}
+		}
+		.rftIndexMenuButton {
+			.flatShading;
+			.noOffset;
+			.transition (0.3s);
+			line-height: @button_indexmenu_height;
+			border: none;
+
+			.dijitButtonNode {
+				border: none;
+				color: @headers;
+				font-size: @h2Size;
+
+				.dijitButtonContents {
+					vertical-align: top;
+
+					.dijitButtonText {
+						padding-bottom: 10px;
+						line-height: 20px;
+					}
+
+					.rftIcon {
+						.setIcon (32px);
+						margin: 0 @std_offset_big;
+					}
+				}
+
+				
+			}
+
+			.indexMenuMixin (@number) when (@number > 0){
+				@height: @im_blockheight / @number;
+				height: @height;
+				
+				.dijitButtonNode {
+					margin: ((@height - @button_indexmenu_content_size)/2) 0 0 0;
+				}
+			}
+
+			&.oneHeight {
+				.indexMenuMixin (4);
+			}
+			&.twoHeight {
+				.indexMenuMixin (2);
+			}
+			&.fourHeight {
+				.indexMenuMixin (1);
+			}
+
+			&.rftIndexMenuButtonHover {
+				color: @text;
+				.transition(0.1s);
+				.dijitButtonText {
+					color: @text;
+					.transition(0.1s);
+				}
+
+				&.blue {
+					background-color: @blue;
+				}
+				&.red {
+					background-color: @red;
+				}
+				&.green {
+					background-color: @green;
+				}
+				&.orange {
+					background-color: @orange;
+				}
+				&.purple {
+					background-color: @purple;
+				}
+			}
+
+			&.rftIndexMenuButtonActive {
+				.setIcon (32px, black);
+				.transition(0.3s);
+				color: @darkest;
+				background: @text;
+
+			}
+
 		}
 
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/mixins.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/mixins.less	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/mixins.less	(revision 409)
@@ -44,5 +44,5 @@
 }
 
-.setIconSize (@size, @b) when (@size > 24px) {
+.setIconSize (@size, @b) when (@size > 24px) and (@size < 32) {
 	width: @size;
 	height: @size;
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftButtons.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftButtons.less	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftButtons.less	(revision 409)
@@ -184,7 +184,4 @@
 			}
 		}
-
-		//MAINMENUBUTTON---------------------------------
-
 	}
 }
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftObjectBox.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftObjectBox.less	(revision 409)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftObjectBox.less	(revision 409)
@@ -0,0 +1,18 @@
+#rft {
+	&.claro {
+
+		.rftObjectBox {
+			margin: @std_offset_big 0;
+
+			.rftIcon {
+				.setIcon (32px);
+				float: left;
+				margin: 20px @std_offset_big;
+			}
+
+			.rftLineWithButtons {
+				.noOffset;
+			}
+		}
+	}
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/sessionEditor.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/sessionEditor.less	(revision 409)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/sessionEditor.less	(revision 409)
@@ -0,0 +1,53 @@
+#rft {
+	&.claro {
+
+		.rftSessionObject {
+			.noOffset;
+			width: @sessionobject_size;
+			height: @sessionobject_size;
+			background: @headers;
+			margin: @std_offset_big;
+			display: inline-block;
+
+
+			.rftIcon {
+				.setIcon (32px);
+				@iconOffsetX: ((@sessionobject_size - 32px)/2);
+				margin: @std_offset_big @iconOffsetX 0 @iconOffsetX;
+			}
+
+			label {
+				.noOffset;
+				float: left;
+				clear: both;
+				width: @sessionobject_size;
+				text-align: center;
+				color: @text;
+				overflow: hidden;
+			}
+
+
+
+
+			&.blue {
+				background-color: @blue;
+				&.selected {
+					background-color: @blue_light;
+				}
+			}
+			&.green {
+				background-color: @green;
+				&.selected {
+					background-color: @green_light;
+				}
+			}
+			&.red {
+				background-color: @red;
+				&.selected {
+					background-color: @red_light;
+				}
+			}
+			
+		}
+	}
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/variables.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/variables.less	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/variables.less	(revision 409)
@@ -40,9 +40,25 @@
 @icon_smallSize: 16px;
 
-// MainMenu
-@mm_blockheight: 400px;
-@mm_blockwidth: 400px;
-@mm_blockmargin: 16px;
-@mm_font_size: 32px;
+// IndexMenu
+@im_blockheight: 400px;
+@im_blockwidth: 400px;
+@im_blockmargin: 16px;
+@im_font_size: 32px;
+
+// Mainmenu
+@button_mainmenu_height: 30px;
+@button_mainmenu_spacing: 5px;
+@button_mainmenu_padding: 4px;
+@button_mainmenu_font_size: 24px;
+@button_mainmenu_font_grow: @button_mainmenu_font_size / 12;
+
+// Index menu
+@button_indexmenu_height: 32px;
+@button_indexmenu_content_size: 24px;
+@button_indexmenu_font_size: @h1Size;
+
+// SessionObject
+@sessionobject_size: 100px;
+@sessionObject_spacing: 2 * @std_offset_big;
 
 // Buttons
@@ -58,8 +74,2 @@
 @button_inline_spacing: 0;
 @button_inline_font_size: @font_size;
-
-@button_mainmenu_height: 30px;
-@button_mainmenu_spacing: 5px;
-@button_mainmenu_padding: 4px;
-@button_mainmenu_font_size: 24px;
-@button_mainmenu_font_grow: @button_mainmenu_font_size / 12;
Index: /Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 408)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/rftButtons.css	(revision 409)
@@ -320,4 +320,5 @@
     margin: 0;
     padding: 0;
+    height: 32px;
     line-height: 32px;
     vertical-align: middle;