Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/main.less	(revision 412)
@@ -19,6 +19,7 @@
 @import "rftObjectBox.less";
 @import "sessionEditor.less";
-@import "sessions.less";
+
 
 // Page specific stylesheets!
 @import "pages/questions.less";
+@import "pages/sessions.less";
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/mixins.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/mixins.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/mixins.less	(revision 412)
@@ -83,4 +83,5 @@
 		.dijitButtonNode {
 			background-color: @text;
+			color: @darkest;
 		}
 	}
@@ -89,4 +90,5 @@
 			@colorName: "@{color}_light";
 			background-color: @@colorName;
+			color: @text;
 		}
 	}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/pages/sessions.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/pages/sessions.less	(revision 412)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/pages/sessions.less	(revision 412)
@@ -0,0 +1,20 @@
+#rft.claro {
+	.page_sessions {
+
+		.rftObjectBox {
+			.noPadding ();
+			color: @text;
+
+			.typeIcon.rftIcon {
+				.setIcon(32px);
+			}
+
+			.rftLineWithActions {
+				background-color: @green;
+				.rftBlockButton {
+					.blockButtonColorMixin ("green");
+				}
+			}
+		}
+	}
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftButtons.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftButtons.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftButtons.less	(revision 412)
@@ -75,6 +75,9 @@
 			.noMargin;
 			height: @button_block_height;
-			line-height: @button_block_height;
 			vertical-align: top;
+
+			.dijitButtonContents {
+				height: 24px;
+			}
 
 			.dijitButtonNode {
@@ -88,4 +91,8 @@
 				color: @text;
 				font-size: @button_block_font_size;
+
+				.dijitButtonText {
+					line-height: @button_block_height;
+				}
 
 				.rftIcon {
@@ -150,9 +157,8 @@
 			}
 
-			&.rftInlineButtonHover.white {
-				.setIcon(16px, black);
-			}
-			&.rftInlineButtonHover.black {
-				.setIcon(16px, black);
+			&.dijitHover {
+				.rftIcon {
+					// outline: @headers solid thin;
+				}
 			}
 		}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftIcons.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftIcons.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftIcons.less	(revision 412)
@@ -8,16 +8,4 @@
 			background-color: transparent;
 			background-repeat: no-repeat;
-
-			//Probably not needed anymore! Commenting out to see if code breaks
-			// &.rftMainIcon {
-			// 	.setIcon(@icon_mainSize);
-			// }
-			// &.rftMidIcon {
-			// 	.setIcon(@icon_midSize);
-			// }
-			// &.rftSmallIcon {
-			// 	.setIcon(@icon_smallSize);
-			// }
-
 		}
 	}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftLineWithActions.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftLineWithActions.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftLineWithActions.less	(revision 412)
@@ -11,4 +11,5 @@
 			margin: @std_offset 0;
 			color: @text;
+			.bgColor("blue");
 
 			&.dojoDndItem {
@@ -38,4 +39,5 @@
 				white-space: nowrap;
 				word-wrap: break-word;
+				line-height: 24px;
 			}
 
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftObjectBox.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftObjectBox.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftObjectBox.less	(revision 412)
@@ -5,8 +5,7 @@
 			margin: @std_offset_big 0;
 
-			.rftIcon {
-				.setIcon (32px);
-				float: left;
-				margin: 20px @std_offset_big;
+			.typeIcon {
+				// .setIcon (32px);
+				// margin: 20px @std_offset_big;
 			}
 
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftSelector.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftSelector.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/rftSelector.less	(revision 412)
@@ -44,4 +44,14 @@
 				}
 			}
+
+			.rftSelectorOptions {
+				.rftLineWithActions {
+					.rftInlineButton {
+						.rftIcon {
+							.setIcon (16px, black);
+						}
+					}
+				}
+			}
 		}
 	}
Index: v/branches/rest-dojo-ui/client/rft/css/LESS/sessions.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/sessions.less	(revision 411)
+++ 	(revision )
@@ -1,19 +1,0 @@
-#rft {
-	&.claro {
-
-		.rftObjectBox {
-			.noPadding ();
-			color: @text;
-
-			.typeIcon.rftIcon {
-				.setIcon(32px);
-			}
-
-			.rftLineWithActions {
-				background-color: @green;
-			}
-
-		}
-
-	}
-}
Index: /Dev/branches/rest-dojo-ui/client/rft/css/LESS/variables.less
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/LESS/variables.less	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/LESS/variables.less	(revision 412)
@@ -10,6 +10,9 @@
 @blue: #0072bc;
 @blue_light: #0794d1;
-@green: #3aa605;
-@green_light: #79ca0a;
+// @green: #3aa605;					For now use the newer colours. Almost negligible difference, but looks better on non-calibrated monitors
+// @green_light: #79ca0a;
+@green: #25a000;
+@green_light: #63c400;
+
 @orange: #ff5b12;
 @orange_light: #ff9140;
Index: /Dev/branches/rest-dojo-ui/client/rft/css/main.css
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/css/main.css	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/css/main.css	(revision 412)
@@ -78,22 +78,22 @@
 }
 #rft.claro .green.textColor {
-  color: #3aa605;
+  color: #25a000;
 }
 #rft.claro .green.textColor.doesHover:hover {
-  color: #79ca0a;
+  color: #63c400;
 }
 #rft.claro .green.bgColor {
-  background-color: #3aa605;
+  background-color: #25a000;
   color: #ffffff;
 }
 #rft.claro .green.bgColor.doesHover:hover {
-  background-color: #79ca0a;
+  background-color: #63c400;
   color: #111111;
 }
 #rft.claro .green.hoverTextColor:hover {
-  color: #3aa605;
+  color: #25a000;
 }
 #rft.claro .green.hoverBgColor:hover {
-  background-color: #3aa605;
+  background-color: #25a000;
 }
 #rft.claro .purple.textColor {
@@ -425,5 +425,5 @@
 #rft.claro .green .dijitTabChecked,
 #rft.claro div.green.dijitTabChecked {
-  background-color: #3aa605;
+  background-color: #25a000;
 }
 #rft.claro.red .dijitTabChecked,
@@ -664,4 +664,11 @@
   background-color: #ffffff;
   color: #111111;
+}
+#rft.claro .rftSelector .rftSelectorOptions .rftLineWithActions .rftInlineButton .rftIcon {
+  width: 16px;
+  height: 16px;
+  margin: 4px 0;
+  padding: 0 0 0 0;
+  background-image: url('images/icons/rftIcons16b.png');
 }
 #rft.claro .rftLineWithActions {
@@ -676,4 +683,5 @@
   margin: 4px 0;
   color: #ffffff;
+  background-color: #0072bc;
 }
 #rft.claro .rftLineWithActions.dojoDndItem {
@@ -705,4 +713,5 @@
   white-space: nowrap;
   word-wrap: break-word;
+  line-height: 24px;
 }
 #rft.claro .rftLineWithActions .rftLineWithActionsButtons {
@@ -833,5 +842,5 @@
 }
 #rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.green {
-  background-color: #3aa605;
+  background-color: #25a000;
 }
 #rft.claro .rftIndexMenuButton.rftIndexMenuButtonHover.orange {
@@ -894,5 +903,5 @@
 #rft.claro .dijitMenuPopup .dijitMenu .dijitMenuItem.dijitMenuItemActive.green,
 #rft.claro .dijitMenuPopup .dijitMenu .dijitMenuItem.dijitMenuItemSelected.green {
-  background-color: #3aa605;
+  background-color: #25a000;
 }
 #rft.claro .dijitMenuPopup .dijitMenu .dijitMenuItem.dijitMenuItemHover.orange,
@@ -1070,5 +1079,5 @@
 #rft.claro span.green.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
 #rft.claro .green .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
-  color: #79ca0a;
+  color: #63c400;
 }
 #rft.claro span.red.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
@@ -1088,6 +1097,8 @@
   margin: 0 0 0 0;
   height: 24px;
-  line-height: 24px;
   vertical-align: top;
+}
+#rft.claro .rftBlockButton .dijitButtonContents {
+  height: 24px;
 }
 #rft.claro .rftBlockButton .dijitButtonNode {
@@ -1110,4 +1121,7 @@
   font-size: 13px;
 }
+#rft.claro .rftBlockButton .dijitButtonNode .dijitButtonText {
+  line-height: 24px;
+}
 #rft.claro .rftBlockButton .dijitButtonNode .rftIcon {
   width: 16px;
@@ -1172,29 +1186,6 @@
   background-image: url('images/icons/rftIcons16b.png');
 }
-#rft.claro .rftInlineButton.rftInlineButtonHover.white {
-  width: 16px;
-  height: 16px;
-  margin: 4px 0;
-  padding: 0 0 0 0;
-  background-image: url('images/icons/rftIcons16b.png');
-}
-#rft.claro .rftInlineButton.rftInlineButtonHover.black {
-  width: 16px;
-  height: 16px;
-  margin: 4px 0;
-  padding: 0 0 0 0;
-  background-image: url('images/icons/rftIcons16b.png');
-}
 #rft.claro .rftObjectBox {
   margin: 8px 0;
-}
-#rft.claro .rftObjectBox .rftIcon {
-  width: 32px;
-  height: 32px;
-  margin: 0;
-  padding: 0 0 0 0;
-  background-image: url('images/icons/rftIcons32.png');
-  float: left;
-  margin: 20px 8px;
 }
 #rft.claro .rftObjectBox .rftLineWithActions {
@@ -1236,8 +1227,8 @@
 }
 #rft.claro .rftSessionObject.green {
-  background-color: #3aa605;
+  background-color: #25a000;
 }
 #rft.claro .rftSessionObject.green.selected {
-  background-color: #79ca0a;
+  background-color: #63c400;
 }
 #rft.claro .rftSessionObject.red {
@@ -1247,9 +1238,30 @@
   background-color: #bd0013;
 }
-#rft.claro .rftObjectBox {
-  padding: 0 0 0 0;
-  color: #ffffff;
-}
-#rft.claro .rftObjectBox .typeIcon.rftIcon {
+#rft.claro .page_questions .rftSelector .rftSelectorCategory .rftLineWithActions {
+  background-color: #ff5b12;
+}
+#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftLineWithActions {
+  background-color: #ffffff;
+  color: #111111;
+}
+#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton {
+  background-color: #ff00ff;
+}
+#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton .dijitButtonNode {
+  background-color: #ff5b12;
+}
+#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton.dijitHover .dijitButtonNode {
+  background-color: #ffffff;
+  color: #111111;
+}
+#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton.dijitActive .dijitButtonNode {
+  background-color: #ff9140;
+  color: #ffffff;
+}
+#rft.claro .page_sessions .rftObjectBox {
+  padding: 0 0 0 0;
+  color: #ffffff;
+}
+#rft.claro .page_sessions .rftObjectBox .typeIcon.rftIcon {
   width: 32px;
   height: 32px;
@@ -1258,24 +1270,16 @@
   background-image: url('images/icons/rftIcons32.png');
 }
-#rft.claro .rftObjectBox .rftLineWithActions {
-  background-color: #3aa605;
-}
-#rft.claro .page_questions .rftSelector .rftSelectorCategory .rftLineWithActions {
-  background-color: #ff5b12;
-}
-#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftLineWithActions {
+#rft.claro .page_sessions .rftObjectBox .rftLineWithActions {
+  background-color: #25a000;
+}
+#rft.claro .page_sessions .rftObjectBox .rftLineWithActions .rftBlockButton .dijitButtonNode {
+  background-color: #25a000;
+}
+#rft.claro .page_sessions .rftObjectBox .rftLineWithActions .rftBlockButton.dijitHover .dijitButtonNode {
   background-color: #ffffff;
   color: #111111;
 }
-#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton {
-  background-color: #ff00ff;
-}
-#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton .dijitButtonNode {
-  background-color: #ff5b12;
-}
-#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton.dijitHover .dijitButtonNode {
-  background-color: #ffffff;
-}
-#rft.claro .page_questions .rftSelector .rftSelectorSelected .rftBlockButton.dijitActive .dijitButtonNode {
-  background-color: #ff9140;
-}
+#rft.claro .page_sessions .rftObjectBox .rftLineWithActions .rftBlockButton.dijitActive .dijitButtonNode {
+  background-color: #63c400;
+  color: #ffffff;
+}
Index: /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/pages/sessions.html	(revision 412)
@@ -1,3 +1,3 @@
-<div>
+<div class="page_sessions">
     <div data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'top'">
         <h2>
Index: /Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 411)
+++ /Dev/branches/rest-dojo-ui/client/rft/ui/ObjectBox.js	(revision 412)
@@ -28,9 +28,9 @@
             }).placeAt(this.line1Node);
             this.line2 = new LineWithActionsWidget({
-            }).placeAt(this.line1Node);
+            }).placeAt(this.line2Node);
             var line3Actions = this._createLine3Actions();
             this.line3 = new LineWithActionsWidget({
                 actions: line3Actions
-            }).placeAt(this.line1Node);
+            }).placeAt(this.line3Node);
             this.line1.startup();
             this.line2.startup();