Index: Dev/branches/rest-dojo-ui/client/rft/pages/session.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/session.js	(revision 415)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/session.js	(revision 416)
@@ -22,4 +22,16 @@
             this.inherited(arguments);
             if ( this.sessionId ) {
+                this._loadSession();
+                this._setupAutoComplete();
+            } else {
+                throw "No valid uid or session passed!";
+            }
+        },
+        _loadSession: function() {
+            if ( this.sessionId === "new" ) {
+                this.session = {
+                    type: 'SessionTemplate'
+                };
+            } else {
                 Deferred.when(store.get(this.sessionId))
                 .then(lang.hitch(this,function(obj){
@@ -28,7 +40,4 @@
                     this._refresh();
                 }));
-                this._setupAutoComplete();
-            } else {
-                throw "No valid uid or session passed!";
             }
         },
Index: Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 415)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/sessions.js	(revision 416)
@@ -58,10 +58,5 @@
         },
         onAddSessionTemplate: function(){
-            store.put({
-                type: 'SessionTemplate'
-            })
-            .then(lang.hitch(this,function(obj){
-                Router.go('/session/'+store.getIdentity(obj));
-            }));
+            Router.go('/session/new');
         },
         _publishSession: function(sessionTemplate) {
Index: Dev/branches/rest-dojo-ui/client/rft/pages/survey.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 415)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/survey.js	(revision 416)
@@ -27,5 +27,5 @@
                 this._setupQuestionBrowser();
                 this._setupListView();
-                this._setupSurvey();
+                this._loadSurvey();
             } else {
                 throw "No valid uid or survey passed!";
@@ -60,12 +60,19 @@
             this.questionList.startup();
         },
-        _setupSurvey: function() {
-            Deferred.when(store.get(this.surveyId))
-            .then(lang.hitch(this,function(survey){
-                this.survey = survey;
-                store.query(null,{keys:this.survey.questions || [], include_docs: true})
-                .forEach(lang.hitch(this.questionList,'appendItem'));
+        _loadSurvey: function() {
+            if ( this.surveyId === "new" ) {
+                this.survey = {
+                    type: 'Survey'
+                };
                 this.refresh();
-            }));
+            } else {
+                Deferred.when(store.get(this.surveyId))
+                .then(lang.hitch(this,function(survey){
+                    this.survey = survey;
+                    store.query(null,{keys:this.survey.questions || [], include_docs: true})
+                    .forEach(lang.hitch(this.questionList,'appendItem'));
+                    this.refresh();
+                }));
+            }
         },
         _includeQuestion: function(question) {
Index: Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js
===================================================================
--- Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js	(revision 415)
+++ Dev/branches/rest-dojo-ui/client/rft/pages/surveys.js	(revision 416)
@@ -19,10 +19,5 @@
         },
         _onNewSurvey: function(){
-            when( store.add({type:'Survey'}) )
-            .then(function(survey) {
-                Router.go('/survey/'+store.getIdentity(survey));
-            },function(err){
-                Content.notify(err,'error');
-            });
+            Router.go('/survey/new');
         },
         _onPublishSurvey:function(survey){