Index: /Dev/branches/rest-dojo-ui/client/index.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/index.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/index.html	(revision 419)
@@ -4,9 +4,9 @@
         <title>QED</title>
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-        <link rel="stylesheet" type="text/css" href="rft/css/main.css" />
+        <link rel="stylesheet" type="text/css" href="qed/css/main.css" />
     </head>
     <body class="dijitReset claro" id="rft">
         <script type="text/javascript" src="dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: false, isDebug: true"></script>
-        <script type="text/javascript" src="rft/run.js"></script>
+        <script type="text/javascript" src="qed/run.js"></script>
         <div id="content" class="page" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="region:'center'" style="width: 100%; height: 100%;">
             <div class="topbar" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'top'">
@@ -15,5 +15,5 @@
             </div>
         </div>
-        <div id="toaster" data-dojo-type="rft/app/Notifications"></div>
+        <div id="toaster" data-dojo-type="qed/app/Notifications"></div>
     </body>
 </html>
Index: /Dev/branches/rest-dojo-ui/client/qed/model/widgets/templates/SurveyRunFieldset.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/model/widgets/templates/SurveyRunFieldset.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/model/widgets/templates/SurveyRunFieldset.html	(revision 419)
@@ -6,9 +6,9 @@
 
     <label for="startDate" class="loginLabel">Start date</label>
-    <input type="text" name="startDatetime" data-dojo-type="rft/widgets/DateTimeTextBox" />
+    <input type="text" name="startDatetime" data-dojo-type="qed/widgets/DateTimeTextBox" />
     <br>
 
     <label for="endDate" class="loginLabel">End date</label>
-    <input type="text" name="endDatetime" data-dojo-type="rft/widgets/DateTimeTextBox" />
+    <input type="text" name="endDatetime" data-dojo-type="qed/widgets/DateTimeTextBox" />
     <br>
 
Index: /Dev/branches/rest-dojo-ui/client/qed/pages/templates/survey.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/pages/templates/survey.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/pages/templates/survey.html	(revision 419)
@@ -39,5 +39,5 @@
          data-dojo-attach-point="propertiesDialog"
          data-dojo-attach-event="onSubmit:_onPropertiesOk">
-        <fieldset data-dojo-type="rft/model/widgets/SurveyFieldset"></fieldset>
+        <fieldset data-dojo-type="qed/model/widgets/SurveyFieldset"></fieldset>
         <button data-dojo-type="dijit/form/Button"
                 type="submit"
Index: /Dev/branches/rest-dojo-ui/client/qed/pages/templates/surveys.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/pages/templates/surveys.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/pages/templates/surveys.html	(revision 419)
@@ -39,5 +39,5 @@
          title="SurveyRun properties"
          data-dojo-attach-point="surveyRunDialog">
-        <fieldset data-dojo-type="rft/model/widgets/SurveyRunFieldset"></fieldset>
+        <fieldset data-dojo-type="qed/model/widgets/SurveyRunFieldset"></fieldset>
         <button data-dojo-type="dijit/form/Button" data-dojo-attach-event="onClick:_onSurveyRunOk">OK</button>
         <button data-dojo-type="dijit/form/Button" data-dojo-attach-event="onClick:_onSurveyRunCancel">Cancel</button>
Index: /Dev/branches/rest-dojo-ui/client/qed/run.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/run.js	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/run.js	(revision 419)
@@ -2,11 +2,11 @@
     'dojo/_base/array',
     'dojo/parser',
-    'rft/app/Content',
-    'rft/app/Page',
-    'rft/app/Router',
-    'rft/ui/MainMenu',
-    'rft/routes',
-    'rft/store',
-    'rft/stddeps',
+    'qed/app/Content',
+    'qed/app/Page',
+    'qed/app/Router',
+    'qed/ui/MainMenu',
+    'qed/routes',
+    'qed/store',
+    'qed/stddeps',
     'dojo/domReady!'
 ],function(array,parser,Content,Page,Router,MainMenu,routes,store) {
Index: /Dev/branches/rest-dojo-ui/client/qed/stddeps.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/stddeps.js	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/stddeps.js	(revision 419)
@@ -25,21 +25,21 @@
     'dojox/grid/DataGrid',
 
-    'rft/app/Notifications',
+    'qed/app/Notifications',
 
-    'rft/model/widgets/SurveyFieldset',
-    'rft/model/widgets/SurveyRunFieldset',
-    'rft/model/widgets/QuestionWidget',
-    'rft/model/widgets/AccountListView',
+    'qed/model/widgets/SurveyFieldset',
+    'qed/model/widgets/SurveyRunFieldset',
+    'qed/model/widgets/QuestionWidget',
+    'qed/model/widgets/AccountListView',
 
-    'rft/ui/MainMenu',
-    'rft/ui/MenuBarLink',
-    'rft/ui/MenuLink',
+    'qed/ui/MainMenu',
+    'qed/ui/MenuBarLink',
+    'qed/ui/MenuLink',
 
-    'rft/widgets/LineWithActionsWidget',
-    'rft/widgets/ObjectBox',
-    'rft/widgets/Selector',
-    'rft/widgets/TitleGroup',
-    'rft/widgets/DateTimeTextBox',
-    'rft/widgets/list/List',
-    'rft/widgets/list/OrderedList'
+    'qed/widgets/LineWithActionsWidget',
+    'qed/widgets/ObjectBox',
+    'qed/widgets/Selector',
+    'qed/widgets/TitleGroup',
+    'qed/widgets/DateTimeTextBox',
+    'qed/widgets/list/List',
+    'qed/widgets/list/OrderedList'
 ],function(){});
Index: v/branches/rest-dojo-ui/client/qed/ui/Breadcrumbs.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/ui/Breadcrumbs.js	(revision 418)
+++ 	(revision )
@@ -1,100 +1,0 @@
-define([
-    'dojo/_base/declare',
-    'dojo/_base/array',
-    'dijit/form/Button',
-    'dojo/dom-class',
-    'dojo/topic',
-    'dijit/_WidgetBase',
-    '../app/Router'
-], function(declare, baseArray, Button, domClass, topic, _WidgetBase,Router){
-    return declare([_WidgetBase], {
-        _crumbs: [],
-        
-        _last: function(){
-            return this._crumbs[this._crumbs.length-1];
-        },
-        _getIndexOf: function(label) {
-            baseArray.forEach(this._crumbs, function(crumb, index){
-                if (crumb.label === label) {
-                    return index;
-                }
-            }, this);
-            return -1;
-        },
-        
-        addCrumb: function(label, path) {
-            this._crumbs.push({
-                label: label, 
-                path:path
-            });
-        },
-        _removeAfter: function(index) {
-            var removals = this._crumbs.slice(index+1);
-            this._crumbs = this._crumbs.slice(0, index+1);
-            baseArray.forEach(removals, function(removal){
-                removal.widget.destroyRecursive(false); // boolean "keepDOMnode"
-            }, this);
-            this._highlightLast();
-        },
-        
-        _highlightLast: function() {
-            domClass.add(this._last().widget, "breadcrumbCurrent");
-        },
-        _unhighlightLast: function() {
-            domClass.remove(this._last(), "breadcrumbCurrent");
-        },
-        
-        _changeTo: function(label, path) {
-            // TODO: Differentiate between navigating backwards and sideways/forward!
-            var index = baseArray.indexOf({label:label , path:path});
-            //var index = this._getIndexOf(label);  // Use this if passing path as an argument is not possible!
-            if (index >= 0) this._removeAfter(index);
-            this._addCrumb(label, path);
-            this._createBreadcrumbs();
-        },
-        
-        _createBreadcrumb: function(label, path) {
-            return new Button({
-                baseClass: "breadcrumb",
-                label: label,
-                showlabel: true,
-                iconClass: "dijitNoIcon",
-                onClick: lang.hitch(this, function(){
-                    Router.go(path);  // TODO: fix this call!
-                })
-            });
-        },
-        _createBreadcrumbs: function() {
-            baseArray.forEach(this._crumbs, function(crumb, index){
-                if (!crumb.widget) {
-                    crumb.widget = this._createBreadcrumb(crumb.label, crumb.path);
-                }
-            }, this);
-            this._highlightLast();
-        },
-        startup: function() {
-            if ( this._started ){ return; }
-            this.inherited(arguments);
-            // TODO: start page crumb creation?
-            this._createBreadCrumbs();
-            this._setupEvents();
-            this.inherited(arguments);
-        },
-        _setupEvents: function() {
-        // TODO: Bind changeTo() listener to an "onLoadPage" event exposed by rft.api!
-        topic.subscribe("rft/content/goTo", this._changeTo(label, path));
-        }
-    });
-});
-
-/*  Breadcrumbs system, which automatically generates styled buttons in the topBar.
- *  Updates are triggered through a "changePage" subscription to "rft/connect/goTo" (method that loads pages in rft.connect.js)
- *
- * Todo: Startup() does not handle initial creation well. No initial breadcrumb is created on page load. What happens when I refresh the page, do all previous crumbs disappear?
- * Todo: Pages should have a label/name besides the path, for display in the breadcrumbs bar. Perhaps the page main title? (Generate this header dynamically?)
- * Todo: Put connect.publish("rft/content/goTo", args); call in rft/content, to trigger breadcrumbs updates
- *      This method uses path and 'args'(?) instead of label and path, change terminology accordingly?
- * Todo: breadcrumbs do not have context yet, unless we can somehow create that context from the path. Split path at "/" char, lookup label/title for each step?
- *      (See before!)
- * 
- */
Index: /Dev/branches/rest-dojo-ui/client/qed/ui/templates/MainMenu.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/ui/templates/MainMenu.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/ui/templates/MainMenu.html	(revision 419)
@@ -1,16 +1,16 @@
 <div class="mainMenu">
     <div  data-dojo-type="dijit/MenuBar">
-        <div class="rftMainMenuButton" data-dojo-type="rft/ui/MenuBarLink" data-dojo-props="path:'/sessions'">Sessions</div>
+        <div class="rftMainMenuButton" data-dojo-type="qed/ui/MenuBarLink" data-dojo-props="path:'/sessions'">Sessions</div>
         <div class="rftMainMenuButton" data-dojo-type="dijit/PopupMenuBarItem">
             <span>Content</span>
             <div data-dojo-type="dijit/DropDownMenu">
-                <div data-dojo-type="rft/ui/MenuLink" class="blue bgColorHover" data-dojo-props="path:'/surveys', iconClass:'rftIcon rftIconSurvey'">Surveys</div>
-                <div data-dojo-type="rft/ui/MenuLink" class="orange bgColorHover" data-dojo-props="path:'/questions', iconClass:'rftIcon rftIconQuestion'">Questions</div>
-                <div data-dojo-type="rft/ui/MenuLink" class="purple bgColorHover" data-dojo-props="path:'/applications', iconClass: 'rftIcon rftIconApplication'">Applications</div>
-                <div data-dojo-type="rft/ui/MenuLink" class="red bgColorHover" data-dojo-props="path:'/dashboards', iconClass: 'rftIcon rftIconDashboard'">Dashboards</div>
+                <div data-dojo-type="qed/ui/MenuLink" class="blue bgColorHover" data-dojo-props="path:'/surveys', iconClass:'rftIcon rftIconSurvey'">Surveys</div>
+                <div data-dojo-type="qed/ui/MenuLink" class="orange bgColorHover" data-dojo-props="path:'/questions', iconClass:'rftIcon rftIconQuestion'">Questions</div>
+                <div data-dojo-type="qed/ui/MenuLink" class="purple bgColorHover" data-dojo-props="path:'/applications', iconClass: 'rftIcon rftIconApplication'">Applications</div>
+                <div data-dojo-type="qed/ui/MenuLink" class="red bgColorHover" data-dojo-props="path:'/dashboards', iconClass: 'rftIcon rftIconDashboard'">Dashboards</div>
             </div>
         </div>
-        <div class="rftMainMenuButton" data-dojo-type="rft/ui/MenuBarLink" data-dojo-props="path:'/results'">Results</div>
-        <div class="rftMainMenuButton" data-dojo-type="rft/ui/MenuBarLink">Logout</div>
+        <div class="rftMainMenuButton" data-dojo-type="qed/ui/MenuBarLink" data-dojo-props="path:'/results'">Results</div>
+        <div class="rftMainMenuButton" data-dojo-type="qed/ui/MenuBarLink">Logout</div>
     </div>
 </div>
Index: /Dev/branches/rest-dojo-ui/client/qed/ui/templates/SessionBar.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/ui/templates/SessionBar.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/ui/templates/SessionBar.html	(revision 419)
@@ -1,5 +1,5 @@
 <div class="${baseClass}">
     <span class="rftIcon rftIconSession" data-dojo-attach-point="iconNode"></span>
-    <div data-dojo-type="rft/widgets/LineWithActionsWidget" data-dojo-attach-point="upperNode" data-dojo-props="actions: {'inspect':{callback: inspect, properties: {blockButton: true}}}"></div>
-    <div data-dojo-type="rft/widgets/LineWithActionsWidget" data-dojo-attach-point="lowerNode"></div>
+    <div data-dojo-type="qed/widgets/LineWithActionsWidget" data-dojo-attach-point="upperNode" data-dojo-props="actions: {'inspect':{callback: inspect, properties: {blockButton: true}}}"></div>
+    <div data-dojo-type="qed/widgets/LineWithActionsWidget" data-dojo-attach-point="lowerNode"></div>
 </div>
Index: /Dev/branches/rest-dojo-ui/client/qed/view.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/view.js	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/qed/view.js	(revision 419)
@@ -2,9 +2,9 @@
     'dojo/hash',
     'dojo/parser',
-    'rft/app/Content',
-    'rft/app/Page',
-    'rft/pages/viewSurvey',
+    'qed/app/Content',
+    'qed/app/Page',
+    'qed/pages/viewSurvey',
     'dojo/domReady!',
-    'rft/stddeps'
+    'qed/stddeps'
 ],function(hash,parser,Content,Page,viewSurvey) {
     parser.parse();
Index: /Dev/branches/rest-dojo-ui/client/view.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/view.html	(revision 418)
+++ /Dev/branches/rest-dojo-ui/client/view.html	(revision 419)
@@ -4,9 +4,9 @@
         <title>Survey</title>
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
-        <link rel="stylesheet" type="text/css" href="rft/css/main.css" />
+        <link rel="stylesheet" type="text/css" href="qed/css/main.css" />
     </head>
     <body class="dijitReset claro">
         <script type="text/javascript" src="dojo/dojo.js" data-dojo-config="async: true, parseOnLoad: false, isDebug: true"></script>
-        <script type="text/javascript" src="rft/view.js"></script>
+        <script type="text/javascript" src="qed/view.js"></script>
         <div id="content" class="page" data-dojo-type="dijit/layout/BorderContainer" data-dojo-props="region:'center'" style="width: 100%; height: 100%;">
             <div class="topbar" data-dojo-type="dijit/layout/ContentPane" data-dojo-props="region:'top'">
@@ -14,5 +14,5 @@
             </div>
         </div>
-        <div id="toaster" data-dojo-type="rft/app/Notifications">
+        <div id="toaster" data-dojo-type="qed/app/Notifications">
         </div>
     </body>
Index: /Dev/branches/rest-dojo-ui/docs/README.txt
===================================================================
--- /Dev/branches/rest-dojo-ui/docs/README.txt	(revision 419)
+++ /Dev/branches/rest-dojo-ui/docs/README.txt	(revision 419)
@@ -0,0 +1,65 @@
+===
+QED
+===
+
+File organisation
+-----------------
+client/
+  The web application for QED.
+  routes.js
+    Contains the mapping from URLs to pages.
+  run.js
+    The script for starting the web application (the researchers part).
+  stddeps.js
+    Contains many dependencies that are used declarativly in the
+    templates. Maybe it can be deprecated with Dojo 1.8+'s auto require
+    if the build scans templates as well.
+  store.js
+    Module that returns a fully configured store for the rest of the
+    application to use for database access. Handles caching and exposes
+    some common serialization functions.
+  view.js
+    Script that starts the survey part (the respondent part).
+  data/
+    Apache proxy configuration for transparant access to CouchDB.
+  dijit/
+    Dijit library (UI components)
+  dojo/
+    Dojo library (Dojo JS framework)
+  dojox/
+    DojoX library (contrib library for Dojo and Dijit)
+  qed/
+    Sourcecode of the QED application
+    app/
+      Small app framework for handling pages, content, notifications
+      and URL history. Our application is build on this.
+    css/
+      Contains all CSS of the application. Should be distributed better
+      with the widgets. The styling is based on LESS, although a copy
+      of the CSS is still there.
+    model/
+      Contains all code dependent on our model, that is, the concrete
+      representation of our database documents.
+      classes/
+        Smart classes on top of the database documents, to help with
+        creating and validating objects.
+      widgets/
+        All widgets that are specific for objects of our model.
+    pages/
+      The pages in the application. Are wired up to URLs in the routes.js
+      file.
+    store/
+      Dojo Store implementations for Couch and Elastic.
+    ui/
+      Deprecated. Used to contain all widgets, but these are now split
+      between general and model specific widgets. Contains a few widgets
+      that were not yet refactored.
+    widgets/
+      Contains general widgets that are used in our application but do
+      not depend on our model.
+  rx/
+    Rx.JS reactive framework for Javascript
+    rx.dojo.js
+      Custom file to integrate Rx with Dojo.
+  util/
+    Dojo utils (e.g. build infrastructure)