Index: /Dev/branches/rest-dojo-ui/client/admin.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/admin.html	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/admin.html	(revision 421)
@@ -2,5 +2,5 @@
 <html>
     <head>
-        <title>QED</title>
+        <title>QED - Researcher</title>
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <link rel="stylesheet" type="text/css" href="qed/css/main.css" />
Index: /Dev/branches/rest-dojo-ui/client/qed/css/hva-mods.css
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/css/hva-mods.css	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/qed/css/hva-mods.css	(revision 421)
@@ -18,4 +18,8 @@
 }
 
+#rft.claro .qedField.qedFill {
+    width: 350px;
+}
+
 #rft.claro .qedFieldset {
     margin: 1em 0px;
Index: /Dev/branches/rest-dojo-ui/client/qed/main-admin.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/main-admin.js	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/qed/main-admin.js	(revision 421)
@@ -6,5 +6,5 @@
     'qed/app/Router',
     'qed/ui/MainMenu',
-    'qed/routes',
+    'qed/routes-admin',
     'qed/store',
     'qed/stddeps',
Index: /Dev/branches/rest-dojo-ui/client/qed/model/widgets/QuestionWidgetFactory.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/model/widgets/QuestionWidgetFactory.js	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/qed/model/widgets/QuestionWidgetFactory.js	(revision 421)
@@ -353,14 +353,7 @@
 
     var MultipleChoiceInputEdit = declare([_WidgetBase, _Container], {
-        _codeInput: null,
         _multipleInput: null,
         postCreate: function() {
             var table = new TableContainer({ cols: 1, customClass: "labelsAndValues"} );
-
-            this._codeInput = new TextBox({
-                title: "Code"
-            });
-            table.addChild(this._codeInput);
-            this._codeInput.startup();
 
             this._multipleInput = new CheckBox({
@@ -390,5 +383,4 @@
 
         _setValueAttr: function(value) {
-            this._codeInput.set('value', value.code || "");
             this._multipleInput.set('checked', value.multiple);
             this._optionsList.deleteItems();
@@ -398,5 +390,4 @@
             return {
                 type: "MultipleChoiceInput",
-                code: this._codeInput.get('value') || "",
                 multiple: this._multipleInput.get('checked'),
                 items: array.map(this._optionsList.getItems(),function(item){
Index: /Dev/branches/rest-dojo-ui/client/qed/pages/surveyRun.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/pages/surveyRun.js	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/qed/pages/surveyRun.js	(revision 421)
@@ -10,6 +10,7 @@
     '../app/Page',
     '../model/classes/SurveyRun',
+    '../widgets/LineWithActionsWidget',
     'dojo/text!./templates/surveyRun.html'
-],function(declare,event,lang,when,Content,Router,func,store,Page,SurveyRun,template){
+],function(declare,event,lang,when,Content,Router,func,store,Page,SurveyRun,LineWithActionsWidget,template){
     return declare([Page],{
         templateString: template,
@@ -21,4 +22,5 @@
             if ( this.surveyRunId ) {
                 this._loadSurveyRun();
+                this._loadResponses();
             } else {
                 throw "No valid uid or survey passed!";
@@ -29,8 +31,8 @@
             .then(lang.hitch(this,function(surveyRun){
                 this.surveyRun = surveyRun;
-                this.refresh();
+                this.refreshSurveyRun();
             }));
         },
-        refresh: function() {
+        refreshSurveyRun: function() {
             this.titleNode.innerHTML = SurveyRun.DisplayTitle.get(this.surveyRun);
             this.surveyNode.set('value',SurveyRun.Survey.get(this.surveyRun));
@@ -38,12 +40,47 @@
             this._onPropChange();
         },
+        _loadResponses: function() {
+            when(store.query("_design/responses/_view/by_surveyrun",{key:this.surveyRunId}))
+            .forEach(lang.hitch(this,function(response){
+                var actions = {
+                    view: {
+                        callback: function(){},
+                        properties: {
+                            title: "View response"
+                        }
+                    }
+                };
+                if ( !response.publicationDate ) {
+                    actions.remove = {
+                        callback: function(){},
+                        properties: {
+                            title: "Remove response"
+                        }
+                    };
+                }
+                var w = new LineWithActionsWidget({
+                    actions: actions
+                });
+                var responseId = store.getIdentity(response);
+                w.set('title',this._link(this._getResponseURL(this.surveyRunId,responseId),responseId));
+                w.placeAt(this.responsesNode);
+            }));
+        },
         _onPropChange: function(e) {
             var surveyRun = this.propertiesForm.get('value');
             if ( surveyRun.mode === "open" ) {
-                var url = 'response.html#!/'+store.getIdentity(this.surveyRun);
-                this.runURLNode.innerHTML = '<a target="_black" href="'+url+'">'+url+'</a>';
+                this.runURLNode.innerHTML = this._link(this._getGeneralURL(store.getIdentity(this.surveyRun)));
             } else {
                 this.runURLNode.innerHTML = "No general URL. Add individual respondents below.";
             }
+        },
+        _getGeneralURL: function(surveyRunId) {
+            return 'response.html#!/'+surveyRunId;
+        },
+        _getResponseURL: function(surveyRunId,responseId) {
+            return 'response.html#!/'+surveyRunId+'!id='+responseId;
+        },
+        _link: function(url,label) {
+            return '<a target="_black" href="'+url+'">'+(label || url)+'</a>';
         },
         _onSave: function(evt) {
Index: /Dev/branches/rest-dojo-ui/client/qed/pages/templates/surveyRun.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/pages/templates/surveyRun.html	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/qed/pages/templates/surveyRun.html	(revision 421)
@@ -16,4 +16,5 @@
         <fieldset class="qedFieldset">
             <div><div class="qedLabel">General URL</div><div class="qedField" data-dojo-attach-point="runURLNode" style="overflow: ellipsis"></div></div>
+            <div><div class="qedLabel">Responses <span data-dojo-attach-point="responsesCountNode"></span></div><div class="qedField qedFill" data-dojo-attach-point="responsesNode"></div>
         </fieldset>
     </div>
Index: /Dev/branches/rest-dojo-ui/client/qed/routes-admin.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/routes-admin.js	(revision 421)
+++ /Dev/branches/rest-dojo-ui/client/qed/routes-admin.js	(revision 421)
@@ -0,0 +1,26 @@
+define([
+    './pages/index',
+    './pages/questions',
+    './pages/question',
+    './pages/surveys',
+    './pages/survey',
+    './pages/surveyRun',
+    './pages/sessions',
+    './pages/session',
+    './pages/previewSurvey'
+],function(index,questions,question,surveys,survey,surveyRun,sessions,session,previewSurvey){
+
+    return [
+        { path: "/", redirect: "/index" },
+        { path: "/index", constructor: index },
+        { path: "/questions", constructor: questions },
+        { path: "/question/:questionId", constructor: question },
+        { path: "/surveys", constructor: surveys },
+        { path: "/survey/:surveyId", constructor: survey },
+        { path: "/surveyRun/:surveyRunId", constructor: surveyRun },
+        //{ path: "/sessions", constructor: sessions },
+        //{ path: "/session/:sessionId", constructor: session },
+        { path: "/previewSurvey/:surveyId", constructor: previewSurvey }
+    ];
+
+});
Index: v/branches/rest-dojo-ui/client/qed/routes.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/routes.js	(revision 420)
+++ 	(revision )
@@ -1,26 +1,0 @@
-define([
-    './pages/index',
-    './pages/questions',
-    './pages/question',
-    './pages/surveys',
-    './pages/survey',
-    './pages/surveyRun',
-    './pages/sessions',
-    './pages/session',
-    './pages/previewSurvey'
-],function(index,questions,question,surveys,survey,surveyRun,sessions,session,previewSurvey){
-
-    return [
-        { path: "/", redirect: "/index" },
-        { path: "/index", constructor: index },
-        { path: "/questions", constructor: questions },
-        { path: "/question/:questionId", constructor: question },
-        { path: "/surveys", constructor: surveys },
-        { path: "/survey/:surveyId", constructor: survey },
-        { path: "/surveyRun/:surveyRunId", constructor: surveyRun },
-        //{ path: "/sessions", constructor: sessions },
-        //{ path: "/session/:sessionId", constructor: session },
-        { path: "/previewSurvey/:surveyId", constructor: previewSurvey }
-    ];
-
-});
Index: /Dev/branches/rest-dojo-ui/client/response.html
===================================================================
--- /Dev/branches/rest-dojo-ui/client/response.html	(revision 420)
+++ /Dev/branches/rest-dojo-ui/client/response.html	(revision 421)
@@ -2,5 +2,5 @@
 <html>
     <head>
-        <title>Survey</title>
+        <title>QED - Respondent</title>
         <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
         <link rel="stylesheet" type="text/css" href="qed/css/main.css" />
Index: /Dev/branches/rest-dojo-ui/server/couchdb-admin/config/data/design-docs.js
===================================================================
--- /Dev/branches/rest-dojo-ui/server/couchdb-admin/config/data/design-docs.js	(revision 420)
+++ /Dev/branches/rest-dojo-ui/server/couchdb-admin/config/data/design-docs.js	(revision 421)
@@ -100,4 +100,17 @@
                 }
             }
+        },
+        "qed/_design/responses": {
+            __configAction: "replace",
+            _id: "_design/responses",
+            language: "javascript",
+            views: {
+                by_surveyrun: {
+                    map: function(doc){
+                        if ( doc.type !== 'Response' ) { return; }
+                        emit(doc.surveyRunId, doc);
+                    }
+                }
+            }
         }
     };