Index: /Dev/branches/rest-dojo-ui/README.txt
===================================================================
--- /Dev/branches/rest-dojo-ui/README.txt	(revision 422)
+++ /Dev/branches/rest-dojo-ui/README.txt	(revision 422)
@@ -0,0 +1,77 @@
+===
+QED
+===
+
+Install
+-------
+
+- Install CouchDB
+- Install Node.js
+- Install apache with rewrite,proxy and proxy_http modules enables
+- Run in console (cmd.exe):
+  C:\>cd <qed-root>/server/couchdb-admin/
+  C:\..\couchdb-admin\>run.bat config/config.js
+- Open http://localhost/.../qed/admin.html
+
+
+File organisation
+-----------------
+client/
+  The web application for QED.
+  routes.js
+    Contains the mapping from URLs to pages.
+  run.js
+    The script for starting the web application (the researchers part).
+  stddeps.js
+    Contains many dependencies that are used declarativly in the
+    templates. Maybe it can be deprecated with Dojo 1.8+'s auto require
+    if the build scans templates as well.
+  store.js
+    Module that returns a fully configured store for the rest of the
+    application to use for database access. Handles caching and exposes
+    some common serialization functions.
+  view.js
+    Script that starts the survey part (the respondent part).
+  data/
+    Apache proxy configuration for transparant access to CouchDB.
+  dijit/
+    Dijit library (UI components)
+  dojo/
+    Dojo library (Dojo JS framework)
+  dojox/
+    DojoX library (contrib library for Dojo and Dijit)
+  qed/
+    Sourcecode of the QED application
+    app/
+      Small app framework for handling pages, content, notifications
+      and URL history. Our application is build on this.
+    css/
+      Contains all CSS of the application. Should be distributed better
+      with the widgets. The styling is based on LESS, although a copy
+      of the CSS is still there.
+    model/
+      Contains all code dependent on our model, that is, the concrete
+      representation of our database documents.
+      classes/
+        Smart classes on top of the database documents, to help with
+        creating and validating objects.
+      widgets/
+        All widgets that are specific for objects of our model.
+    pages/
+      The pages in the application. Are wired up to URLs in the routes.js
+      file.
+    store/
+      Dojo Store implementations for Couch and Elastic.
+    ui/
+      Deprecated. Used to contain all widgets, but these are now split
+      between general and model specific widgets. Contains a few widgets
+      that were not yet refactored.
+    widgets/
+      Contains general widgets that are used in our application but do
+      not depend on our model.
+  rx/
+    Rx.JS reactive framework for Javascript
+    rx.dojo.js
+      Custom file to integrate Rx with Dojo.
+  util/
+    Dojo utils (e.g. build infrastructure)
Index: /Dev/branches/rest-dojo-ui/client/qed/model/widgets/SurveySummary.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/model/widgets/SurveySummary.js	(revision 421)
+++ /Dev/branches/rest-dojo-ui/client/qed/model/widgets/SurveySummary.js	(revision 422)
@@ -3,5 +3,5 @@
     'dijit/_WidgetBase',
     'dijit/_TemplatedMixin',
-    'dojo/text!./templates/SurveySummary'
+    'dojo/text!./templates/SurveySummary.html'
 ],function(declare,_WidgetBase,_TemplatedMixin,template){
     return declare([_WidgetBase,_TemplatedMixin],{
Index: /Dev/branches/rest-dojo-ui/client/qed/pages/surveys.js
===================================================================
--- /Dev/branches/rest-dojo-ui/client/qed/pages/surveys.js	(revision 421)
+++ /Dev/branches/rest-dojo-ui/client/qed/pages/surveys.js	(revision 422)
@@ -4,5 +4,4 @@
     'dojo/_base/lang',
     'dojo/when',
-    'rx/rx.dojo',
     '../store',
     '../app/Content',
@@ -13,5 +12,5 @@
     '../widgets/LineWithActionsWidget',
     'dojo/text!./templates/surveys.html'
-],function(array,declare,lang,when,Rx,store,Content,Page,Router,Survey,SurveyRun,LineWithActionsWidget,template){
+],function(array,declare,lang,when,store,Content,Page,Router,Survey,SurveyRun,LineWithActionsWidget,template){
     return declare([Page],{
         templateString: template,
Index: v/branches/rest-dojo-ui/docs/README.txt
===================================================================
--- /Dev/branches/rest-dojo-ui/docs/README.txt	(revision 421)
+++ 	(revision )
@@ -1,65 +1,0 @@
-===
-QED
-===
-
-File organisation
------------------
-client/
-  The web application for QED.
-  routes.js
-    Contains the mapping from URLs to pages.
-  run.js
-    The script for starting the web application (the researchers part).
-  stddeps.js
-    Contains many dependencies that are used declarativly in the
-    templates. Maybe it can be deprecated with Dojo 1.8+'s auto require
-    if the build scans templates as well.
-  store.js
-    Module that returns a fully configured store for the rest of the
-    application to use for database access. Handles caching and exposes
-    some common serialization functions.
-  view.js
-    Script that starts the survey part (the respondent part).
-  data/
-    Apache proxy configuration for transparant access to CouchDB.
-  dijit/
-    Dijit library (UI components)
-  dojo/
-    Dojo library (Dojo JS framework)
-  dojox/
-    DojoX library (contrib library for Dojo and Dijit)
-  qed/
-    Sourcecode of the QED application
-    app/
-      Small app framework for handling pages, content, notifications
-      and URL history. Our application is build on this.
-    css/
-      Contains all CSS of the application. Should be distributed better
-      with the widgets. The styling is based on LESS, although a copy
-      of the CSS is still there.
-    model/
-      Contains all code dependent on our model, that is, the concrete
-      representation of our database documents.
-      classes/
-        Smart classes on top of the database documents, to help with
-        creating and validating objects.
-      widgets/
-        All widgets that are specific for objects of our model.
-    pages/
-      The pages in the application. Are wired up to URLs in the routes.js
-      file.
-    store/
-      Dojo Store implementations for Couch and Elastic.
-    ui/
-      Deprecated. Used to contain all widgets, but these are now split
-      between general and model specific widgets. Contains a few widgets
-      that were not yet refactored.
-    widgets/
-      Contains general widgets that are used in our application but do
-      not depend on our model.
-  rx/
-    Rx.JS reactive framework for Javascript
-    rx.dojo.js
-      Custom file to integrate Rx with Dojo.
-  util/
-    Dojo utils (e.g. build infrastructure)
Index: /Dev/branches/rest-dojo-ui/server/couchdb-admin/run.bat
===================================================================
--- /Dev/branches/rest-dojo-ui/server/couchdb-admin/run.bat	(revision 421)
+++ /Dev/branches/rest-dojo-ui/server/couchdb-admin/run.bat	(revision 422)
@@ -1,1 +1,1 @@
-nodejs bootstrap.js load=$1
+"C:\\Program Files\\nodejs\\node" bootstrap.js load=%1%