Index: Dev/trunk/client/qed/.htmlhintrc
===================================================================
--- Dev/trunk/client/qed/.htmlhintrc	(revision 431)
+++ Dev/trunk/client/qed/.htmlhintrc	(revision 431)
@@ -0,0 +1,14 @@
+{
+    "tagname-lowercase": true,
+    "attr-lowercase": true,
+    "attr-value-double-quotes": true,
+    "attr-value-not-empty": true,
+    "tag-pair": true,
+    "tag-self-close": true,
+    "spec-char-escape": true,
+    "id-unique": true,
+    "head-script-disabled": true,
+    "style-disabled": true,
+    "id-class-calue": true,
+    "doctype-html5": true
+}
Index: Dev/trunk/client/qed/.jshintrc
===================================================================
--- Dev/trunk/client/qed/.jshintrc	(revision 431)
+++ Dev/trunk/client/qed/.jshintrc	(revision 431)
@@ -0,0 +1,23 @@
+{
+    "bitwise": true,
+    "curly": true,
+    "eqeqeq": true,
+    "immed": true,
+    "indent": 4,
+    "latedef": true,
+    "newcap": true,
+    "noarg": true,
+    "undef": true,
+    "unused": false,
+    "strict": false,
+
+    "loopfunc": true,
+
+    "devel": true,
+    "node": true,
+
+    "globals": {
+        "require": true,
+        "define": true
+    }
+}
Index: Dev/trunk/client/qed/Gruntfile.js
===================================================================
--- Dev/trunk/client/qed/Gruntfile.js	(revision 430)
+++ Dev/trunk/client/qed/Gruntfile.js	(revision 431)
@@ -18,30 +18,19 @@
         jshint: {
             options: {
-                /* enforcing options */
-                bitwise: true,
-                curly: true,
-                eqeqeq: true,
-                immed: true,
-                indent: 4,
-                latedef: true,
-                newcap: true,
-                noarg: true,
-                undef: true,
-                unused: false,
-                strict: false,
-                /* relaxing options */
-                loopfunc: true,
-                /* enverinments */
-                devel: true,
-                node: true,
-                /* globals */
-                globals: {
-                    require: true,
-                    define: true
-                }
+                jshintrc: ".jshintrc"
             },
             all: {
                 files: {
                     src: ['**/*.js', '!node_modules/**']
+                }
+            }
+        },
+        htmlhint: {
+            options: {
+                htmlhintrc: ".htmlhintrc"
+            },
+            all: {
+                files: {
+                    src: ['**/*.html', '!node_modules/**']
                 }
             }
@@ -51,5 +40,6 @@
     grunt.loadNpmTasks('grunt-contrib-less');
     grunt.loadNpmTasks('grunt-contrib-jshint');
+    grunt.loadNpmTasks('grunt-htmlhint');
 
-    grunt.registerTask('default', ['less', 'jshint']);
+    grunt.registerTask('default', ['less', 'jshint', 'htmlhint']);
 };
Index: Dev/trunk/client/qed/model/widgets/templates/QuestionEditorToolkit.html
===================================================================
--- Dev/trunk/client/qed/model/widgets/templates/QuestionEditorToolkit.html	(revision 430)
+++ Dev/trunk/client/qed/model/widgets/templates/QuestionEditorToolkit.html	(revision 431)
@@ -9,5 +9,5 @@
 					<div data-dojo-attach-point="listNode" class="rftLineListView"></div> 
 					<div data-dojo-attach-point="categoriesBoxNode"></div>
-					<button class="inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-event="onClick:onCategoryAdd" data-dojo-props="baseClass:'rftBlockButton', iconClass: 'rftIcon rftIconPlus'">Add</button><br>
+					<button class="inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-event="onClick:onCategoryAdd" data-dojo-props="baseClass:'rftBlockButton', iconClass: 'rftIcon rftIconPlus'">Add</button><br/>
 					<label>Topic:</label>
 					<div data-dojo-attach-point="topicBoxNode"></div>
Index: Dev/trunk/client/qed/model/widgets/templates/QuestionWidget.html
===================================================================
--- Dev/trunk/client/qed/model/widgets/templates/QuestionWidget.html	(revision 430)
+++ Dev/trunk/client/qed/model/widgets/templates/QuestionWidget.html	(revision 431)
@@ -13,5 +13,5 @@
         <fieldset>
             <select data-dojo-type="dijit/form/Select" data-dojo-attach-point="scaleSelector" data-dojo-attach-event="onChange:_onTypeChange" name="scale">
-                <option value="string" selected>String</option>
+                <option value="string" selected="selected">String</option>
                 <option value="text">Text</option>
                 <option value="singleChoice">Single choice</option>
Index: Dev/trunk/client/qed/package.json
===================================================================
--- Dev/trunk/client/qed/package.json	(revision 430)
+++ Dev/trunk/client/qed/package.json	(revision 431)
@@ -12,5 +12,6 @@
     "grunt": "~0.4.0",
     "grunt-contrib-less": "~0.5.0",
-    "grunt-contrib-jshint": "~0.2.0"
+    "grunt-contrib-jshint": "~0.2.0",
+    "grunt-htmlhint": "~0.9.2"
   }
 }
Index: Dev/trunk/client/qed/pages/templates/survey.html
===================================================================
--- Dev/trunk/client/qed/pages/templates/survey.html	(revision 430)
+++ Dev/trunk/client/qed/pages/templates/survey.html	(revision 431)
@@ -34,4 +34,5 @@
                 Preview</button>
         </div>
+    </div>
 
     <div data-dojo-type="dijit/Dialog"
Index: Dev/trunk/client/qed/pages/templates/surveyRun.html
===================================================================
--- Dev/trunk/client/qed/pages/templates/surveyRun.html	(revision 430)
+++ Dev/trunk/client/qed/pages/templates/surveyRun.html	(revision 431)
@@ -16,5 +16,5 @@
         <fieldset class="qedFieldset">
             <div><div class="qedLabel">General URL</div><div class="qedField" data-dojo-attach-point="runURLNode" style="overflow: ellipsis"></div></div>
-            <div><div class="qedLabel">Responses <span data-dojo-attach-point="responsesCountNode"></span></div><div class="qedField qedFill" data-dojo-attach-point="responsesNode"></div>
+            <div><div class="qedLabel">Responses <span data-dojo-attach-point="responsesCountNode"></span></div><div class="qedField qedFill" data-dojo-attach-point="responsesNode"></div></div>
         </fieldset>
     </div>
Index: Dev/trunk/client/qed/ui/templates/LoginDialog.html
===================================================================
--- Dev/trunk/client/qed/ui/templates/LoginDialog.html	(revision 430)
+++ Dev/trunk/client/qed/ui/templates/LoginDialog.html	(revision 431)
@@ -2,5 +2,5 @@
     <div data-dojo-attach-point="titleBar" class="dijitDialogTitleBar">
         <span data-dojo-attach-point="titleNode" class="dijitDialogTitle"></span>
-        <span data-dojo-attach-point="closeButtonNode" class="dijitDialogCloseIcon" data-dojo-attach-event="ondijitclick: onCancel" title="${buttonCancel}" role="button" tabIndex="-1">
+        <span data-dojo-attach-point="closeButtonNode" class="dijitDialogCloseIcon" data-dojo-attach-event="ondijitclick: onCancel" title="${buttonCancel}" role="button" tabindex="-1">
             <span data-dojo-attach-point="closeText" class="closeText" title="${buttonCancel}">x</span>
         </span>